PETSc version 3.15.5
Fix/Edit manual page

# MatSolverTypeRegister

Registers a MatSolverType that works for a particular matrix type

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolverTypeRegister(MatSolverType package,MatType mtype,MatFactorType ftype,PetscErrorCode (*createfactor)(Mat,MatFactorType,Mat*))

### Input Parameters

| package | - name of the package, for example petsc or superlu
| mtype | - the matrix type that works with this package
| ftype | - the type of factorization supported by the package
| createfactor | - routine that will create the factored matrix ready to be used

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable(), MatGetFactor()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatSolverTypeRegister_SparseElemental in src/mat/impls/aij/mpi/clique/clique.cxx
MatSolverTypeRegister_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
MatSolverTypeRegister_Pastix in src/mat/impls/aij/mpi/pastix/pastix.c
MatSolverTypeRegister_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
MatSolverTypeRegister_Essl in src/mat/impls/aij/seq/essl/essl.c
MatSolverTypeRegister_KOKKOS in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSolverTypeRegister_Lusol in src/mat/impls/aij/seq/lusol/lusol.c
MatSolverTypeRegister_Matlab in src/mat/impls/aij/seq/matlab/aijmatlab.c
MatSolverTypeRegister_CUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSolverTypeRegister_ViennaCL in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx
MatSolverTypeRegister_SuperLU in src/mat/impls/aij/seq/superlu/superlu.c
MatSolverTypeRegister_SuiteSparse in src/mat/impls/aij/seq/umfpack/umfpack.c
MatSolverTypeRegister_Elemental in src/mat/impls/elemental/matelem.cxx
MatSolverTypeRegister_ScaLAPACK in src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages